# Class MEARuntimeSearch.Builder

java.lang.Object
com.io7m.montarre.adoptium.MEARuntimeSearch.Builder

Enclosing class:
  `MEARuntimeSearch`

public static final class MEARuntimeSearch.Builder extends Object
Builds instances of type `MEARuntimeSearch`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MEARuntimeSearch`
  `build()`
  Builds a new `MEARuntimeSearch`.
  `final MEARuntimeSearch.Builder`
  `from(MEARuntimeSearchType instance)`
  Fill a builder with attribute values from the provided `MEARuntimeSearchType` instance.
  `final MEARuntimeSearch.Builder`
  `setArchitecture(MArchitectureName architecture)`
  Initializes the value for the `architecture` attribute.
  `final MEARuntimeSearch.Builder`
  `setFeatureVersion(int featureVersion)`
  Initializes the value for the `featureVersion` attribute.
  `final MEARuntimeSearch.Builder`
  `setImageKind(METImageKind imageKind)`
  Initializes the value for the `imageKind` attribute.
  `final MEARuntimeSearch.Builder`
  `setOperatingSystem(MOperatingSystemName operatingSystem)`
  Initializes the value for the `operatingSystem` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final MEARuntimeSearch.Builder from(MEARuntimeSearchType instance)
    Fill a builder with attribute values from the provided `MEARuntimeSearchType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setFeatureVersion

    public final MEARuntimeSearch.Builder setFeatureVersion(int featureVersion)
    Initializes the value for the `featureVersion` attribute.
    Parameters:
      `featureVersion` - The value for featureVersion
    Returns:
      `this` builder for use in a chained invocation

  - ### setArchitecture

    public final MEARuntimeSearch.Builder setArchitecture(MArchitectureName architecture)
    Initializes the value for the `architecture` attribute.
    Parameters:
      `architecture` - The value for architecture
    Returns:
      `this` builder for use in a chained invocation

  - ### setOperatingSystem

    public final MEARuntimeSearch.Builder setOperatingSystem(MOperatingSystemName operatingSystem)
    Initializes the value for the `operatingSystem` attribute.
    Parameters:
      `operatingSystem` - The value for operatingSystem
    Returns:
      `this` builder for use in a chained invocation

  - ### setImageKind

    public final MEARuntimeSearch.Builder setImageKind(METImageKind imageKind)
    Initializes the value for the `imageKind` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `imageKind`.

    Parameters:
      `imageKind` - The value for imageKind
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public MEARuntimeSearch build()
    Builds a new `MEARuntimeSearch`.
    Returns:
      An immutable instance of MEARuntimeSearch
    Throws:
      `IllegalStateException` - if any required attributes are missing